Skip to main content
GET
/
api
/
v3
/
pendingActions
List pending actions
curl --request GET \
  --url https://toncenter.com/api/v3/pendingActions
{
  "actions": [
    {
      "accounts": [
        "<string>"
      ],
      "action_id": "<string>",
      "details": "<unknown>",
      "end_lt": "0",
      "end_utime": 123,
      "start_lt": "0",
      "start_utime": 123,
      "success": true,
      "trace_end_lt": "0",
      "trace_end_utime": 123,
      "trace_external_hash": "<string>",
      "trace_external_hash_norm": "<string>",
      "trace_id": "<string>",
      "trace_mc_seqno_end": 123,
      "transactions": [
        "<string>"
      ],
      "type": "<string>"
    }
  ],
  "address_book": {},
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://companyname-a7d5b98e-jeshecdom-fift-variables.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

account
string

List of account addresses to get actions. Can be sent in hex, base64 or base64url form.

ext_msg_hash
string[]

Find actions by trace external hash

supported_action_types
string[]

Supported action types

Response

OK

actions
object[]
address_book
object
metadata
object